/*
*This is the header of the StoryModePlanet.cc file
*In this file we define a constructor, destructor and additional function (which is important to name a planet)
*
*Author: Bolt Nikole
*Co-Author: Fanconi Claudio
*
*/

#ifndef _StoryModePlanet_H__
#define _StoryModePlanet_H__

#include "objects/ObjectsPrereqs.h"

#include <string>
#include "tools/BillboardSet.h"
#include "tools/Mesh.h"
#include "worldentities/MovableEntity.h"


#include <vector>
#include "PlayerInfo.h"

namespace orxonox
{ 
    class _ObjectsExport StoryModePlanet : public Planet
    {
    	public:
    		StoryModePlanet(Context* context);

    		virtual ~StoryModePlanet();

    		// This is the function, which is used to name and mark a spacecraft.
    		// We now want to make it available aswell for a planet
    		void setConfigValues();

    	private:
            std::vector<std::string> names_;
    }
}
#endif